<?php
/*
+--------------------------------------------------------------------+
| CiviCRM version 4.7                                                |
+--------------------------------------------------------------------+
| Copyright CiviCRM LLC (c) 2004-2017                                |
+--------------------------------------------------------------------+
| This file is a part of CiviCRM.                                    |
|                                                                    |
| CiviCRM is free software; you can copy, modify, and distribute it  |
| under the terms of the GNU Affero General Public License           |
| Version 3, 19 November 2007 and the CiviCRM Licensing Exception.   |
|                                                                    |
| CiviCRM is distributed in the hope that it will be useful, but     |
| WITHOUT ANY WARRANTY; without even the implied warranty of         |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.               |
| See the GNU Affero General Public License for more details.        |
|                                                                    |
| You should have received a copy of the GNU Affero General Public   |
| License and the CiviCRM Licensing Exception along                  |
| with this program; if not, contact CiviCRM LLC                     |
| at info[AT]civicrm[DOT]org. If you have questions about the        |
| GNU Affero General Public License or the licensing of CiviCRM,     |
| see the CiviCRM license FAQ at http://civicrm.org/licensing        |
+--------------------------------------------------------------------+
*/
/**
 * @package CRM
 * @copyright CiviCRM LLC (c) 2004-2017
 *
 * Generated from xml/schema/CRM/Core/PrevNextCache.xml
 * DO NOT EDIT.  Generated by CRM_Core_CodeGen
 * (GenCodeChecksum:edf9dd4b38ca08a34dbc6990ac954af2)
 */
require_once 'CRM/Core/DAO.php';
require_once 'CRM/Utils/Type.php';
/**
 * CRM_Core_DAO_PrevNextCache constructor.
 */
class CRM_Core_DAO_PrevNextCache extends CRM_Core_DAO {
  /**
   * Static instance to hold the table name.
   *
   * @var string
   */
  static $_tableName = 'civicrm_prevnext_cache';
  /**
   * Should CiviCRM log any modifications to this table in the civicrm_log table.
   *
   * @var boolean
   */
  static $_log = false;
  /**
   *
   * @var int unsigned
   */
  public $id;
  /**
   * physical tablename for entity being joined to discount, e.g. civicrm_event
   *
   * @var string
   */
  public $entity_table;
  /**
   * FK to entity table specified in entity_table column.
   *
   * @var int unsigned
   */
  public $entity_id1;
  /**
   * FK to entity table specified in entity_table column.
   *
   * @var int unsigned
   */
  public $entity_id2;
  /**
   * Unique path name for cache element of the searched item
   *
   * @var string
   */
  public $cacheKey;
  /**
   * cached snapshot of the serialized data
   *
   * @var longtext
   */
  public $data;
  /**
   *
   * @var boolean
   */
  public $is_selected;
  /**
   * Class constructor.
   */
  function __construct() {
    $this->__table = 'civicrm_prevnext_cache';
    parent::__construct();
  }
  /**
   * Returns all the column names of this table
   *
   * @return array
   */
  static function &fields() {
    if (!isset(Civi::$statics[__CLASS__]['fields'])) {
      Civi::$statics[__CLASS__]['fields'] = array(
        'id' => array(
          'name' => 'id',
          'type' => CRM_Utils_Type::T_INT,
          'title' => ts('Prev Next Cache ID') ,
          'required' => true,
          'table_name' => 'civicrm_prevnext_cache',
          'entity' => 'PrevNextCache',
          'bao' => 'CRM_Core_BAO_PrevNextCache',
          'localizable' => 0,
        ) ,
        'entity_table' => array(
          'name' => 'entity_table',
          'type' => CRM_Utils_Type::T_STRING,
          'title' => ts('Prev Next Entity Table') ,
          'description' => 'physical tablename for entity being joined to discount, e.g. civicrm_event',
          'maxlength' => 64,
          'size' => CRM_Utils_Type::BIG,
          'table_name' => 'civicrm_prevnext_cache',
          'entity' => 'PrevNextCache',
          'bao' => 'CRM_Core_BAO_PrevNextCache',
          'localizable' => 0,
        ) ,
        'entity_id1' => array(
          'name' => 'entity_id1',
          'type' => CRM_Utils_Type::T_INT,
          'title' => ts('Prev Next Entity ID 1') ,
          'description' => 'FK to entity table specified in entity_table column.',
          'required' => true,
          'table_name' => 'civicrm_prevnext_cache',
          'entity' => 'PrevNextCache',
          'bao' => 'CRM_Core_BAO_PrevNextCache',
          'localizable' => 0,
        ) ,
        'entity_id2' => array(
          'name' => 'entity_id2',
          'type' => CRM_Utils_Type::T_INT,
          'title' => ts('Prev Next Entity ID 2') ,
          'description' => 'FK to entity table specified in entity_table column.',
          'required' => true,
          'table_name' => 'civicrm_prevnext_cache',
          'entity' => 'PrevNextCache',
          'bao' => 'CRM_Core_BAO_PrevNextCache',
          'localizable' => 0,
        ) ,
        'cacheKey' => array(
          'name' => 'cacheKey',
          'type' => CRM_Utils_Type::T_STRING,
          'title' => ts('Cache Key') ,
          'description' => 'Unique path name for cache element of the searched item',
          'maxlength' => 255,
          'size' => CRM_Utils_Type::HUGE,
          'table_name' => 'civicrm_prevnext_cache',
          'entity' => 'PrevNextCache',
          'bao' => 'CRM_Core_BAO_PrevNextCache',
          'localizable' => 0,
        ) ,
        'data' => array(
          'name' => 'data',
          'type' => CRM_Utils_Type::T_LONGTEXT,
          'title' => ts('Prev Next Data') ,
          'description' => 'cached snapshot of the serialized data',
          'table_name' => 'civicrm_prevnext_cache',
          'entity' => 'PrevNextCache',
          'bao' => 'CRM_Core_BAO_PrevNextCache',
          'localizable' => 0,
        ) ,
        'is_selected' => array(
          'name' => 'is_selected',
          'type' => CRM_Utils_Type::T_BOOLEAN,
          'title' => ts('Is Selected') ,
          'table_name' => 'civicrm_prevnext_cache',
          'entity' => 'PrevNextCache',
          'bao' => 'CRM_Core_BAO_PrevNextCache',
          'localizable' => 0,
        ) ,
      );
      CRM_Core_DAO_AllCoreTables::invoke(__CLASS__, 'fields_callback', Civi::$statics[__CLASS__]['fields']);
    }
    return Civi::$statics[__CLASS__]['fields'];
  }
  /**
   * Return a mapping from field-name to the corresponding key (as used in fields()).
   *
   * @return array
   *   Array(string $name => string $uniqueName).
   */
  static function &fieldKeys() {
    if (!isset(Civi::$statics[__CLASS__]['fieldKeys'])) {
      Civi::$statics[__CLASS__]['fieldKeys'] = array_flip(CRM_Utils_Array::collect('name', self::fields()));
    }
    return Civi::$statics[__CLASS__]['fieldKeys'];
  }
  /**
   * Returns the names of this table
   *
   * @return string
   */
  static function getTableName() {
    return self::$_tableName;
  }
  /**
   * Returns if this table needs to be logged
   *
   * @return boolean
   */
  function getLog() {
    return self::$_log;
  }
  /**
   * Returns the list of fields that can be imported
   *
   * @param bool $prefix
   *
   * @return array
   */
  static function &import($prefix = false) {
    $r = CRM_Core_DAO_AllCoreTables::getImports(__CLASS__, 'prevnext_cache', $prefix, array());
    return $r;
  }
  /**
   * Returns the list of fields that can be exported
   *
   * @param bool $prefix
   *
   * @return array
   */
  static function &export($prefix = false) {
    $r = CRM_Core_DAO_AllCoreTables::getExports(__CLASS__, 'prevnext_cache', $prefix, array());
    return $r;
  }
  /**
   * Returns the list of indices
   */
  public static function indices($localize = TRUE) {
    $indices = array(
      'index_all' => array(
        'name' => 'index_all',
        'field' => array(
          0 => 'cacheKey',
          1 => 'entity_id1',
          2 => 'entity_id2',
          3 => 'entity_table',
          4 => 'is_selected',
        ) ,
        'localizable' => false,
        'sig' => 'civicrm_prevnext_cache::0::cacheKey::entity_id1::entity_id2::entity_table::is_selected',
      ) ,
    );
    return ($localize && !empty($indices)) ? CRM_Core_DAO_AllCoreTables::multilingualize(__CLASS__, $indices) : $indices;
  }
}
