<?php
/*
+--------------------------------------------------------------------+
| CiviCRM version 4.7                                                |
+--------------------------------------------------------------------+
| Copyright CiviCRM LLC (c) 2004-2017                                |
+--------------------------------------------------------------------+
| This file is a part of CiviCRM.                                    |
|                                                                    |
| CiviCRM is free software; you can copy, modify, and distribute it  |
| under the terms of the GNU Affero General Public License           |
| Version 3, 19 November 2007 and the CiviCRM Licensing Exception.   |
|                                                                    |
| CiviCRM is distributed in the hope that it will be useful, but     |
| WITHOUT ANY WARRANTY; without even the implied warranty of         |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.               |
| See the GNU Affero General Public License for more details.        |
|                                                                    |
| You should have received a copy of the GNU Affero General Public   |
| License and the CiviCRM Licensing Exception along                  |
| with this program; if not, contact CiviCRM LLC                     |
| at info[AT]civicrm[DOT]org. If you have questions about the        |
| GNU Affero General Public License or the licensing of CiviCRM,     |
| see the CiviCRM license FAQ at http://civicrm.org/licensing        |
+--------------------------------------------------------------------+
*/
/**
 *
 * @package CRM
 * @copyright CiviCRM LLC (c) 2004-2017
 *
 * Generated from schema_structure.tpl
 * DO NOT EDIT.  Generated by CRM_Core_CodeGen
 */
class CRM_Core_I18n_SchemaStructure {
  /**
   * Get translatable columns.
   *
   * @return array
   *   A table-indexed array of translatable columns.
   */
  public static function &columns() {
    static $result = null;
    if (!$result) {
      $result = array(
        'civicrm_location_type' => array(
          'display_name' => "varchar(64)",
        ) ,
        'civicrm_option_group' => array(
          'title' => "varchar(255)",
          'description' => "varchar(255)",
        ) ,
        'civicrm_relationship_type' => array(
          'label_a_b' => "varchar(64)",
          'label_b_a' => "varchar(64)",
          'description' => "varchar(255)",
        ) ,
        'civicrm_contact_type' => array(
          'label' => "varchar(64)",
          'description' => "text",
        ) ,
        'civicrm_batch' => array(
          'title' => "varchar(255)",
          'description' => "text",
        ) ,
        'civicrm_premiums' => array(
          'premiums_intro_title' => "varchar(255)",
          'premiums_intro_text' => "text",
          'premiums_nothankyou_label' => "varchar(255)",
        ) ,
        'civicrm_membership_status' => array(
          'label' => "varchar(128)",
        ) ,
        'civicrm_survey' => array(
          'title' => "varchar(255)",
          'instructions' => "text",
          'thankyou_title' => "varchar(255)",
          'thankyou_text' => "text",
        ) ,
        'civicrm_participant_status_type' => array(
          'label' => "varchar(255)",
        ) ,
        'civicrm_case_type' => array(
          'title' => "varchar(64)",
          'description' => "varchar(255)",
        ) ,
        'civicrm_tell_friend' => array(
          'title' => "varchar(255)",
          'intro' => "text",
          'suggested_message' => "text",
          'thankyou_title' => "varchar(255)",
          'thankyou_text' => "text",
        ) ,
        'civicrm_custom_group' => array(
          'title' => "varchar(64)",
          'help_pre' => "text",
          'help_post' => "text",
        ) ,
        'civicrm_custom_field' => array(
          'label' => "varchar(255)",
          'help_pre' => "text",
          'help_post' => "text",
        ) ,
        'civicrm_option_value' => array(
          'label' => "varchar(512)",
          'description' => "text",
        ) ,
        'civicrm_group' => array(
          'title' => "varchar(64)",
        ) ,
        'civicrm_contribution_page' => array(
          'title' => "varchar(255)",
          'intro_text' => "text",
          'pay_later_text' => "text",
          'pay_later_receipt' => "text",
          'initial_amount_label' => "varchar(255)",
          'initial_amount_help_text' => "text",
          'thankyou_title' => "varchar(255)",
          'thankyou_text' => "text",
          'thankyou_footer' => "text",
          'receipt_from_name' => "varchar(255)",
          'receipt_text' => "text",
          'footer_text' => "text",
        ) ,
        'civicrm_product' => array(
          'name' => "varchar(255)",
          'description' => "text",
          'options' => "text",
        ) ,
        'civicrm_membership_type' => array(
          'name' => "varchar(128)",
          'description' => "varchar(255)",
        ) ,
        'civicrm_membership_block' => array(
          'new_title' => "varchar(255)",
          'new_text' => "text",
          'renewal_title' => "varchar(255)",
          'renewal_text' => "text",
        ) ,
        'civicrm_price_set' => array(
          'title' => "varchar(255)",
          'help_pre' => "text",
          'help_post' => "text",
        ) ,
        'civicrm_dashboard' => array(
          'label' => "varchar(255)",
        ) ,
        'civicrm_uf_group' => array(
          'title' => "varchar(64)",
          'help_pre' => "text",
          'help_post' => "text",
          'cancel_button_text' => "varchar(64)",
          'submit_button_text' => "varchar(64)",
        ) ,
        'civicrm_uf_field' => array(
          'help_post' => "text",
          'help_pre' => "text",
          'label' => "varchar(255)",
        ) ,
        'civicrm_price_field' => array(
          'label' => "varchar(255)",
          'help_pre' => "text",
          'help_post' => "text",
        ) ,
        'civicrm_price_field_value' => array(
          'label' => "varchar(255)",
          'description' => "text",
          'help_pre' => "text",
          'help_post' => "text",
        ) ,
        'civicrm_pcp_block' => array(
          'link_text' => "varchar(255)",
        ) ,
        'civicrm_event' => array(
          'title' => "varchar(255)",
          'summary' => "text",
          'description' => "text",
          'registration_link_text' => "varchar(255)",
          'event_full_text' => "text",
          'fee_label' => "varchar(255)",
          'intro_text' => "text",
          'footer_text' => "text",
          'confirm_title' => "varchar(255)",
          'confirm_text' => "text",
          'confirm_footer_text' => "text",
          'confirm_email_text' => "text",
          'confirm_from_name' => "varchar(255)",
          'thankyou_title' => "varchar(255)",
          'thankyou_text' => "text",
          'thankyou_footer_text' => "text",
          'pay_later_text' => "text",
          'pay_later_receipt' => "text",
          'initial_amount_label' => "varchar(255)",
          'initial_amount_help_text' => "text",
          'waitlist_text' => "text",
          'approval_req_text' => "text",
          'template_title' => "varchar(255)",
        ) ,
      );
    }
    return $result;
  }
  /**
   * Get a table indexed array of the indices for translatable fields.
   *
   * @return array
   *   Indices for translatable fields.
   */
  public static function &indices() {
    static $result = null;
    if (!$result) {
      $result = array(
        'civicrm_custom_group' => array(
          'UI_title_extends' => array(
            'name' => 'UI_title_extends',
            'field' => array(
              'title',
              'extends',
            ) ,
            'unique' => 1,
          ) ,
        ) ,
        'civicrm_custom_field' => array(
          'UI_label_custom_group_id' => array(
            'name' => 'UI_label_custom_group_id',
            'field' => array(
              'label',
              'custom_group_id',
            ) ,
            'unique' => 1,
          ) ,
        ) ,
        'civicrm_group' => array(
          'UI_title' => array(
            'name' => 'UI_title',
            'field' => array(
              'title',
            ) ,
            'unique' => 1,
          ) ,
        ) ,
      );
    }
    return $result;
  }
  /**
   * Get tables with translatable fields.
   *
   * @return array
   *   Array of names of tables with fields that can be translated.
   */
  static function &tables() {
    static $result = null;
    if (!$result) {
      $result = array_keys(self::columns());
    }
    return $result;
  }
  /**
   * Get a list of widgets for editing translatable fields.
   *
   * @return array
   *   Array of the widgets for editing translatable fields.
   */
  static function &widgets() {
    static $result = null;
    if (!$result) {
      $result = array(
        'civicrm_location_type' => array(
          'display_name' => array(
            'type' => "Text",
          ) ,
        ) ,
        'civicrm_option_group' => array(
          'title' => array(
            'type' => "Text",
          ) ,
          'description' => array(
            'type' => "Text",
          ) ,
        ) ,
        'civicrm_relationship_type' => array(
          'label_a_b' => array(
            'type' => "Text",
          ) ,
          'label_b_a' => array(
            'type' => "Text",
          ) ,
          'description' => array(
            'type' => "Text",
          ) ,
        ) ,
        'civicrm_contact_type' => array(
          'label' => array(
            'type' => "Text",
          ) ,
          'description' => array(
            'type' => "TextArea",
            'rows' => "2",
            'cols' => "60",
          ) ,
        ) ,
        'civicrm_batch' => array(
          'title' => array(
            'type' => "Text",
          ) ,
          'description' => array(
            'type' => "TextArea",
            'rows' => "4",
            'cols' => "80",
          ) ,
        ) ,
        'civicrm_premiums' => array(
          'premiums_intro_title' => array(
            'type' => "Text",
          ) ,
          'premiums_intro_text' => array(
            'type' => "Text",
          ) ,
          'premiums_nothankyou_label' => array(
            'type' => "Text",
          ) ,
        ) ,
        'civicrm_membership_status' => array(
          'label' => array(
            'type' => "Text",
          ) ,
        ) ,
        'civicrm_survey' => array(
          'title' => array(
            'type' => "Text",
            'required' => "true",
          ) ,
          'instructions' => array(
            'type' => "TextArea",
            'rows' => "20",
            'cols' => "80",
          ) ,
          'thankyou_title' => array(
            'type' => "Text",
          ) ,
          'thankyou_text' => array(
            'type' => "TextArea",
            'rows' => "8",
            'cols' => "60",
          ) ,
        ) ,
        'civicrm_participant_status_type' => array(
          'label' => array(
            'type' => "Text",
          ) ,
        ) ,
        'civicrm_case_type' => array(
          'title' => array(
            'type' => "Text",
            'required' => "true",
          ) ,
          'description' => array(
            'type' => "Text",
          ) ,
        ) ,
        'civicrm_tell_friend' => array(
          'title' => array(
            'type' => "Text",
          ) ,
          'intro' => array(
            'type' => "Text",
          ) ,
          'suggested_message' => array(
            'type' => "Text",
          ) ,
          'thankyou_title' => array(
            'type' => "Text",
          ) ,
          'thankyou_text' => array(
            'type' => "Text",
          ) ,
        ) ,
        'civicrm_custom_group' => array(
          'title' => array(
            'type' => "Text",
            'required' => "true",
          ) ,
          'help_pre' => array(
            'type' => "TextArea",
            'rows' => "4",
            'cols' => "80",
          ) ,
          'help_post' => array(
            'type' => "TextArea",
            'rows' => "4",
            'cols' => "80",
          ) ,
        ) ,
        'civicrm_custom_field' => array(
          'label' => array(
            'type' => "Text",
            'required' => "true",
          ) ,
          'help_pre' => array(
            'type' => "Text",
          ) ,
          'help_post' => array(
            'type' => "Text",
          ) ,
        ) ,
        'civicrm_option_value' => array(
          'label' => array(
            'type' => "Text",
            'required' => "true",
          ) ,
          'description' => array(
            'type' => "TextArea",
            'rows' => "8",
            'cols' => "60",
          ) ,
        ) ,
        'civicrm_group' => array(
          'title' => array(
            'type' => "Text",
          ) ,
        ) ,
        'civicrm_contribution_page' => array(
          'title' => array(
            'type' => "Text",
          ) ,
          'intro_text' => array(
            'type' => "RichTextEditor",
            'rows' => "6",
            'cols' => "50",
          ) ,
          'pay_later_text' => array(
            'type' => "Text",
          ) ,
          'pay_later_receipt' => array(
            'type' => "Text",
          ) ,
          'initial_amount_label' => array(
            'type' => "Text",
          ) ,
          'initial_amount_help_text' => array(
            'type' => "Text",
          ) ,
          'thankyou_title' => array(
            'type' => "Text",
          ) ,
          'thankyou_text' => array(
            'type' => "RichTextEditor",
            'rows' => "8",
            'cols' => "60",
          ) ,
          'thankyou_footer' => array(
            'type' => "RichTextEditor",
            'rows' => "8",
            'cols' => "60",
          ) ,
          'receipt_from_name' => array(
            'type' => "Text",
          ) ,
          'receipt_text' => array(
            'type' => "TextArea",
            'rows' => "6",
            'cols' => "50",
          ) ,
          'footer_text' => array(
            'type' => "RichTextEditor",
            'rows' => "6",
            'cols' => "50",
          ) ,
        ) ,
        'civicrm_product' => array(
          'name' => array(
            'type' => "Text",
            'required' => "true",
          ) ,
          'description' => array(
            'type' => "Text",
          ) ,
          'options' => array(
            'type' => "Text",
          ) ,
        ) ,
        'civicrm_membership_type' => array(
          'name' => array(
            'type' => "Text",
          ) ,
          'description' => array(
            'type' => "TextArea",
            'rows' => "6",
            'cols' => "50",
          ) ,
        ) ,
        'civicrm_membership_block' => array(
          'new_title' => array(
            'type' => "Text",
          ) ,
          'new_text' => array(
            'type' => "Text",
          ) ,
          'renewal_title' => array(
            'type' => "Text",
          ) ,
          'renewal_text' => array(
            'type' => "Text",
          ) ,
        ) ,
        'civicrm_price_set' => array(
          'title' => array(
            'type' => "Text",
            'required' => "true",
          ) ,
          'help_pre' => array(
            'type' => "TextArea",
            'rows' => "4",
            'cols' => "80",
          ) ,
          'help_post' => array(
            'type' => "TextArea",
            'rows' => "4",
            'cols' => "80",
          ) ,
        ) ,
        'civicrm_dashboard' => array(
          'label' => array(
            'type' => "Text",
          ) ,
        ) ,
        'civicrm_uf_group' => array(
          'title' => array(
            'type' => "Text",
            'required' => "true",
          ) ,
          'help_pre' => array(
            'type' => "TextArea",
            'rows' => "4",
            'cols' => "80",
          ) ,
          'help_post' => array(
            'type' => "TextArea",
            'rows' => "4",
            'cols' => "80",
          ) ,
          'cancel_button_text' => array(
            'type' => "Text",
          ) ,
          'submit_button_text' => array(
            'type' => "Text",
          ) ,
        ) ,
        'civicrm_uf_field' => array(
          'help_post' => array(
            'type' => "Text",
          ) ,
          'help_pre' => array(
            'type' => "Text",
          ) ,
          'label' => array(
            'type' => "Text",
            'required' => "true",
          ) ,
        ) ,
        'civicrm_price_field' => array(
          'label' => array(
            'type' => "Text",
            'required' => "true",
          ) ,
          'help_pre' => array(
            'type' => "TextArea",
            'rows' => "4",
            'cols' => "80",
          ) ,
          'help_post' => array(
            'type' => "TextArea",
            'rows' => "4",
            'cols' => "80",
          ) ,
        ) ,
        'civicrm_price_field_value' => array(
          'label' => array(
            'type' => "Text",
          ) ,
          'description' => array(
            'type' => "TextArea",
            'rows' => "2",
            'cols' => "60",
          ) ,
          'help_pre' => array(
            'type' => "TextArea",
            'rows' => "2",
            'cols' => "60",
          ) ,
          'help_post' => array(
            'type' => "TextArea",
            'rows' => "2",
            'cols' => "60",
          ) ,
        ) ,
        'civicrm_pcp_block' => array(
          'link_text' => array(
            'type' => "Text",
          ) ,
        ) ,
        'civicrm_event' => array(
          'title' => array(
            'type' => "Text",
          ) ,
          'summary' => array(
            'type' => "TextArea",
            'rows' => "4",
            'cols' => "60",
          ) ,
          'description' => array(
            'type' => "TextArea",
            'rows' => "8",
            'cols' => "60",
          ) ,
          'registration_link_text' => array(
            'type' => "Text",
          ) ,
          'event_full_text' => array(
            'type' => "TextArea",
            'rows' => "4",
            'cols' => "60",
          ) ,
          'fee_label' => array(
            'type' => "Text",
          ) ,
          'intro_text' => array(
            'type' => "TextArea",
            'rows' => "6",
            'cols' => "50",
          ) ,
          'footer_text' => array(
            'type' => "TextArea",
            'rows' => "6",
            'cols' => "50",
          ) ,
          'confirm_title' => array(
            'type' => "Text",
          ) ,
          'confirm_text' => array(
            'type' => "TextArea",
            'rows' => "6",
            'cols' => "50",
          ) ,
          'confirm_footer_text' => array(
            'type' => "TextArea",
            'rows' => "6",
            'cols' => "50",
          ) ,
          'confirm_email_text' => array(
            'type' => "TextArea",
            'rows' => "4",
            'cols' => "50",
          ) ,
          'confirm_from_name' => array(
            'type' => "Text",
          ) ,
          'thankyou_title' => array(
            'type' => "Text",
          ) ,
          'thankyou_text' => array(
            'type' => "TextArea",
            'rows' => "6",
            'cols' => "50",
          ) ,
          'thankyou_footer_text' => array(
            'type' => "TextArea",
            'rows' => "6",
            'cols' => "50",
          ) ,
          'pay_later_text' => array(
            'type' => "Text",
          ) ,
          'pay_later_receipt' => array(
            'type' => "Text",
          ) ,
          'initial_amount_label' => array(
            'type' => "Text",
          ) ,
          'initial_amount_help_text' => array(
            'type' => "Text",
          ) ,
          'waitlist_text' => array(
            'type' => "TextArea",
            'rows' => "4",
            'cols' => "60",
          ) ,
          'approval_req_text' => array(
            'type' => "TextArea",
            'rows' => "4",
            'cols' => "60",
          ) ,
          'template_title' => array(
            'type' => "Text",
          ) ,
        ) ,
      );
    }
    return $result;
  }
}
