<?php
/*
+--------------------------------------------------------------------+
| CiviCRM version 4.7                                                |
+--------------------------------------------------------------------+
| Copyright CiviCRM LLC (c) 2004-2017                                |
+--------------------------------------------------------------------+
| This file is a part of CiviCRM.                                    |
|                                                                    |
| CiviCRM is free software; you can copy, modify, and distribute it  |
| under the terms of the GNU Affero General Public License           |
| Version 3, 19 November 2007 and the CiviCRM Licensing Exception.   |
|                                                                    |
| CiviCRM is distributed in the hope that it will be useful, but     |
| WITHOUT ANY WARRANTY; without even the implied warranty of         |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.               |
| See the GNU Affero General Public License for more details.        |
|                                                                    |
| You should have received a copy of the GNU Affero General Public   |
| License and the CiviCRM Licensing Exception along                  |
| with this program; if not, contact CiviCRM LLC                     |
| at info[AT]civicrm[DOT]org. If you have questions about the        |
| GNU Affero General Public License or the licensing of CiviCRM,     |
| see the CiviCRM license FAQ at http://civicrm.org/licensing        |
+--------------------------------------------------------------------+
*/
/**
 * @package CRM
 * @copyright CiviCRM LLC (c) 2004-2017
 *
 * Generated from xml/schema/CRM/Mailing/Spool.xml
 * DO NOT EDIT.  Generated by CRM_Core_CodeGen
 * (GenCodeChecksum:8cdc46330195fed32b15c2560dee858d)
 */
require_once 'CRM/Core/DAO.php';
require_once 'CRM/Utils/Type.php';
/**
 * CRM_Mailing_DAO_Spool constructor.
 */
class CRM_Mailing_DAO_Spool extends CRM_Core_DAO {
  /**
   * Static instance to hold the table name.
   *
   * @var string
   */
  static $_tableName = 'civicrm_mailing_spool';
  /**
   * Should CiviCRM log any modifications to this table in the civicrm_log table.
   *
   * @var boolean
   */
  static $_log = false;
  /**
   *
   * @var int unsigned
   */
  public $id;
  /**
   * The ID of the Job .
   *
   * @var int unsigned
   */
  public $job_id;
  /**
   * The email of the receipients this mail is to be sent.
   *
   * @var text
   */
  public $recipient_email;
  /**
   * The header information of this mailing .
   *
   * @var text
   */
  public $headers;
  /**
   * The body of this mailing.
   *
   * @var text
   */
  public $body;
  /**
   * date on which this job was added.
   *
   * @var timestamp
   */
  public $added_at;
  /**
   * date on which this job was removed.
   *
   * @var timestamp
   */
  public $removed_at;
  /**
   * Class constructor.
   */
  function __construct() {
    $this->__table = 'civicrm_mailing_spool';
    parent::__construct();
  }
  /**
   * Returns foreign keys and entity references.
   *
   * @return array
   *   [CRM_Core_Reference_Interface]
   */
  static function getReferenceColumns() {
    if (!isset(Civi::$statics[__CLASS__]['links'])) {
      Civi::$statics[__CLASS__]['links'] = static ::createReferenceColumns(__CLASS__);
      Civi::$statics[__CLASS__]['links'][] = new CRM_Core_Reference_Basic(self::getTableName() , 'job_id', 'civicrm_mailing_job', 'id');
      CRM_Core_DAO_AllCoreTables::invoke(__CLASS__, 'links_callback', Civi::$statics[__CLASS__]['links']);
    }
    return Civi::$statics[__CLASS__]['links'];
  }
  /**
   * Returns all the column names of this table
   *
   * @return array
   */
  static function &fields() {
    if (!isset(Civi::$statics[__CLASS__]['fields'])) {
      Civi::$statics[__CLASS__]['fields'] = array(
        'id' => array(
          'name' => 'id',
          'type' => CRM_Utils_Type::T_INT,
          'title' => ts('Spool ID') ,
          'required' => true,
          'table_name' => 'civicrm_mailing_spool',
          'entity' => 'Spool',
          'bao' => 'CRM_Mailing_BAO_Spool',
          'localizable' => 0,
        ) ,
        'job_id' => array(
          'name' => 'job_id',
          'type' => CRM_Utils_Type::T_INT,
          'title' => ts('Mailing Job') ,
          'description' => 'The ID of the Job .',
          'required' => true,
          'table_name' => 'civicrm_mailing_spool',
          'entity' => 'Spool',
          'bao' => 'CRM_Mailing_BAO_Spool',
          'localizable' => 0,
          'FKClassName' => 'CRM_Mailing_DAO_MailingJob',
        ) ,
        'recipient_email' => array(
          'name' => 'recipient_email',
          'type' => CRM_Utils_Type::T_TEXT,
          'title' => ts('Recipient Email') ,
          'description' => 'The email of the receipients this mail is to be sent.',
          'table_name' => 'civicrm_mailing_spool',
          'entity' => 'Spool',
          'bao' => 'CRM_Mailing_BAO_Spool',
          'localizable' => 0,
        ) ,
        'headers' => array(
          'name' => 'headers',
          'type' => CRM_Utils_Type::T_TEXT,
          'title' => ts('Headers') ,
          'description' => 'The header information of this mailing .',
          'table_name' => 'civicrm_mailing_spool',
          'entity' => 'Spool',
          'bao' => 'CRM_Mailing_BAO_Spool',
          'localizable' => 0,
        ) ,
        'body' => array(
          'name' => 'body',
          'type' => CRM_Utils_Type::T_TEXT,
          'title' => ts('Body') ,
          'description' => 'The body of this mailing.',
          'table_name' => 'civicrm_mailing_spool',
          'entity' => 'Spool',
          'bao' => 'CRM_Mailing_BAO_Spool',
          'localizable' => 0,
        ) ,
        'added_at' => array(
          'name' => 'added_at',
          'type' => CRM_Utils_Type::T_TIMESTAMP,
          'title' => ts('Added') ,
          'description' => 'date on which this job was added.',
          'required' => false,
          'default' => 'NULL',
          'table_name' => 'civicrm_mailing_spool',
          'entity' => 'Spool',
          'bao' => 'CRM_Mailing_BAO_Spool',
          'localizable' => 0,
        ) ,
        'removed_at' => array(
          'name' => 'removed_at',
          'type' => CRM_Utils_Type::T_TIMESTAMP,
          'title' => ts('Removed') ,
          'description' => 'date on which this job was removed.',
          'required' => false,
          'default' => 'NULL',
          'table_name' => 'civicrm_mailing_spool',
          'entity' => 'Spool',
          'bao' => 'CRM_Mailing_BAO_Spool',
          'localizable' => 0,
        ) ,
      );
      CRM_Core_DAO_AllCoreTables::invoke(__CLASS__, 'fields_callback', Civi::$statics[__CLASS__]['fields']);
    }
    return Civi::$statics[__CLASS__]['fields'];
  }
  /**
   * Return a mapping from field-name to the corresponding key (as used in fields()).
   *
   * @return array
   *   Array(string $name => string $uniqueName).
   */
  static function &fieldKeys() {
    if (!isset(Civi::$statics[__CLASS__]['fieldKeys'])) {
      Civi::$statics[__CLASS__]['fieldKeys'] = array_flip(CRM_Utils_Array::collect('name', self::fields()));
    }
    return Civi::$statics[__CLASS__]['fieldKeys'];
  }
  /**
   * Returns the names of this table
   *
   * @return string
   */
  static function getTableName() {
    return self::$_tableName;
  }
  /**
   * Returns if this table needs to be logged
   *
   * @return boolean
   */
  function getLog() {
    return self::$_log;
  }
  /**
   * Returns the list of fields that can be imported
   *
   * @param bool $prefix
   *
   * @return array
   */
  static function &import($prefix = false) {
    $r = CRM_Core_DAO_AllCoreTables::getImports(__CLASS__, 'mailing_spool', $prefix, array());
    return $r;
  }
  /**
   * Returns the list of fields that can be exported
   *
   * @param bool $prefix
   *
   * @return array
   */
  static function &export($prefix = false) {
    $r = CRM_Core_DAO_AllCoreTables::getExports(__CLASS__, 'mailing_spool', $prefix, array());
    return $r;
  }
  /**
   * Returns the list of indices
   */
  public static function indices($localize = TRUE) {
    $indices = array();
    return ($localize && !empty($indices)) ? CRM_Core_DAO_AllCoreTables::multilingualize(__CLASS__, $indices) : $indices;
  }
}
