# CiviCRM 4.7.29

Released December 20, 2017

- **[Synopsis](#synopsis)**
- **[Features](#features)**
- **[Bugs resolved](#bugs)**
- **[Miscellany](#misc)**
- **[Credits](#credits)**
- **[Feedback](#feedback)**

## <a name="synopsis"></a>Synopsis

| *Does this version...?*                                     |         |
|:----------------------------------------------------------- |:-------:|
| Fix security vulnerabilities?                               |   no    |
| Change the database schema?                                 |   no    |
| Alter the API?                                              |   no    |
| Require attention to configuration options?                 |   no    |
| Fix problems installing or upgrading to a previous version? |   no    |
| **Introduce features?**                                     | **yes** |
| **Fix bugs?**                                               | **yes** |

## <a name="features"></a>Features

### Core CiviCRM

- **[CRM-20941](https://issues.civicrm.org/jira/browse/CRM-20941) Increase minimum PHP required to install CiviCRM
  ([11416](https://github.com/civicrm/civicrm-core/pull/11416))**

  Increases the minimum PHP version required to install CiviCRM 4.7.29 to be 5.4 as per the [announcement blog post](https://civicrm.org/blog/totten/end-of-zombies-php-53-and-54)

## <a name="bugs"></a>Bugs resolved

### Core CiviCRM

- **[CRM-21445](https://issues.civicrm.org/jira/browse/CRM-20941) Ensure "Pay Later" processor is set so a fatal isn't thrown
  ([11427](https://github.com/civicrm/civicrm-core/pull/11427))**

  Ensures that the pay later payment processor is set to that a fatal error isn't thrown

- **[CRM-21431](https://issues.civicrm.org/jira/browse/CRM-21431) Fix removing of group types
  ([11436](https://github.com/civicrm/civicrm-core/pull/11436))**

  Fixes an issue where unchecking both the ACL and Mailing list box when editing a group didn't actually remove those types

- **[CRM-21568](https://issues.civicrm.org/jira/browse/CRM-21568) Move the determination of values of empty from settingsbag to InnodbIndxer
  ([11423](https://github.com/civicrm/civicrm-core/pull/11423))**

  Fixes an issue where string '0' wasn't being treated as false. So the checking of whether there is an empty value is now done in the on change listener for the full text search switcher

- **[CRM-21562](https://issues.civicrm.org/jira/browse/CRM-21562) Fix line item mis-saving when using a ',' as the thousand separator
  ([11412](https://github.com/civicrm/civicrm-core/pull/11412))**

  Fixes an issue for currencies which use a ',' as the thousand separator the line item was being incorrectly saved by a significant margin.

- **[CRM-21534](https://issues.civicrm.org/jira/browse/CRM-21534) Fix issue where checking if server was a MariaDB server wasn't working correctly
  ([11413](https://github.com/civicrm/civicrm-core/pull/11413))**

  Fixes an issue where the check to see if the MySQL server was a MariaDB instance wasn't working right. This lead to hard crashes as queries were being incorrectly re-written

## <a name="credits"></a>Credits

This release was developed by the following code authors:

Australian Greens - Seamus Lee; CiviCRM - Coleman Watts, Tim Otten;
Coop SymbioTIC - Mathieu Lutfy; Wikimedia Foundation - Eileen McNaughton

Most authors also reviewed code for this release; in addition, the following
reviewers contributed their comments:

Ben Mango; JMA Consulting - Monish Deb; Megaphone Technology Consulting - Jon
Goldberg; Richard van Oosterhout

## <a name="feedback"></a>Feedback

These release notes are edited by Andrew Hunt.  If you'd like to provide
feedback on them, please login to https://chat.civicrm.org/civicrm and contact
`@agh1`.
